Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class TDQ

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.Resource
                  |
                  +--com.ibm.cics.server.RemotableResource
                        |
                        +--com.ibm.cics.server.TDQ

public class TDQ
extends RemotableResource
implements java.io.Serializable

This class provides an implementation of a Transient Data Queue.

Constructor Summary
`TDQ()` Construct a TDQ Object

Method Summary
`void` | `delete()` Delete the TDQ
`void` | `readData(DataHolder holder)` Read data from a TDQ.
`void` | `readDataConditional(DataHolder holder)` Read data from a TDQ.
`void` | `writeData(byte[] data)` Write data to a TDQ.

Methods inherited from class com.ibm.cics.server.RemotableResource
`getSysId, setSysId`

Methods inherited from class com.ibm.cics.server.Resource
`getDescription, getName, setDescription, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TDQ

    public TDQ()

  Construct a TDQ Object

Method Detail

### delete

    public void delete()
                throws IOErrorException,
                       ISCInvalidRequestException,
                       NotAuthorisedException,
                       InvalidQueueIdException,
                       InvalidSystemIdException

  Delete the TDQ

### readData

    public void readData(DataHolder holder)
                  throws IOErrorException,
                         ISCInvalidRequestException,
                         LengthErrorException,
                         NotAuthorisedException,
                         NotOpenException,
                         InvalidQueueIdException,
                         QueueZeroException,
                         InvalidSystemIdException

  Read data from a TDQ. If the queue is being used for output, the current task will be suspended.

### readDataConditional

    public void readDataConditional(DataHolder holder)
                             throws IOErrorException,
                                    ISCInvalidRequestException,
                                    LengthErrorException,
                                    NotAuthorisedException,
                                    NotOpenException,
                                    InvalidQueueIdException,
                                    QueueBusyException,
                                    QueueZeroException,
                                    InvalidSystemIdException

  Read data from a TDQ.

  If the queue is being used for output, a `QueueBusyException` is thrown.

### writeData

    public void writeData(byte[] data)
                   throws IOErrorException,
                          ISCInvalidRequestException,
                          LengthErrorException,
                          NoSpaceException,
                          NotAuthorisedException,
                          NotOpenException,
                          InvalidSystemIdException

  Write data to a TDQ.
  Parameters:
    `data` - The data to write to the TD Queue.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 by Sun Microsystems, Inc.